<div class="container">
    <div class="row">
        <div class="col-xs-12">
            {if $smarty.post.email}
                <div style="margin: 15% 0 18%;" class="text-center">
                    <h1>发送成功<br /><small>验证链接已发送至你的邮箱，请访问邮箱中的地址完成验证</small></h1>
                </div>
            {else}
                <div style="margin: 10% 0 15%;">
                    <div class="logincontainer">
                        <form action="{$params['modulelink']}&action=register" method="post">
                            <div class="form-group">
                                <h4>邮箱账户 <small>( 请输入你的电子邮箱 )</small></h4>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="请输入你的邮箱地址" autofocus="" name="email" />
                                    <input type="hidden" name="suffix" value="{$suffix['0']}" />
                                    <div class="input-group-btn">
                                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">@<span class="suffix">{$suffix['0']}</span> <span class="caret"></span></button>
                                        <ul class="dropdown-menu dropdown-menu-right">
                                            {foreach $suffix as $value}
                                                <li><a href="javascript: setSuffix('{$value}');">@{$value}</a></li>
                                            {/foreach}
                                        </ul>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-default">验证邮箱</button>
                            </div>
                        </form>
                    </div>
                </div>
            {/if}
        </div>
    </div>
</div>

<script type="text/javascript">
    // 设置邮箱后缀
    function setSuffix(suffix)
    {
        $("[name='suffix']").val(suffix);
        $(".suffix").html(suffix);
    }
</script>